Skip to content

Set a custom field value

Request

Set (or update) a custom field value on a contact or company. Pass null as value to clear the field.

Security
bearerAuth
Bodyapplication/jsonrequired
custom_field_uuidstringrequired

UUID of the custom field.

object_typestringrequired
Enum:"lead""company"
object_uuidstringrequired

UUID of the contact or company.

valuestring or null

Field value, or null to clear.

Example:"Enterprise"
POST
/leads/api/custom-field-values
curl -i -X POST \
  https://leadgen.grinfi.io/leads/api/custom-field-values \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>' \
  -H 'Content-Type: application/json' \
  -d '{
    "custom_field_uuid": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
    "object_type": "lead",
    "object_uuid": "b2c3d4e5-f6a7-8901-bcde-f12345678901",
    "value": "Enterprise"
  }'

Responses

Value set.

Bodyapplication/json
uuidstring
team_idinteger
custom_field_uuidstring
object_typestring
Enum:"lead""company"
object_uuidstring
valuestring or null
created_atstring, (date-time)
updated_atstring, (date-time)
Response
{ "uuid": "string", "team_id": 0, "custom_field_uuid": "string", "object_type": "lead", "object_uuid": "string", "value": "string", "created_at": "2019-08-24T14:15:22Z", "updated_at": "2019-08-24T14:15:22Z" }